Solved

NextJS app Deployment failing in Contentstack Launch

  • 5 January 2024
  • 4 replies
  • 101 views

Contentstack Launch deployment is failing with below error.  Has anyone faced this issue?

npm ERR! code EINTEGRITY

ERR! sha1-oyjtByQEdqJrMaIyYTVdySnh2mM= integrity checksum failed when using sha1: wanted sha1-oyjtByQEdqJrMaIyYTVdySnh2mM= but got sha1-akgs7/ln5jw8eAQrONAOA7DtQaw=. (47092 bytes)

npm ERR! A complete log of this run can be found in: /root/.npm/_logs/2024-01-05T08_53_06_095Z-debug-0.log

Deployment failed!

 

icon

Best answer by Nagaraju Chatta 8 January 2024, 06:51

View original

4 replies

npm WARN tarball tarball data for contentstack@https://registry.npmjs.org/contentstack/-/contentstack-3.16.1.tgz (sha1-oyjtByQEdqJrMaIyYTVdySnh2mM=) seems to be corrupted. Trying again.

 

Hi Nagaraju Chatta,
 

In order to provide a suggestion would like to know more about the problem, could you please confirm the following things:

  1.  Are node_modules checked in to the source code that is being deployed at Launch?
    If yes, Launch installs the dependencies specified in package.json and hence checking in node_modules would not really be required.
  2. Is there any reference to a private npm package in your package.json?

Thanks @anuj pundalik  for your answer.

node_modules are not checked in to the repo. 
 Please find the package.json file below

{
"name": "contentstack-nextjs-starter-app",
"description": "A starter app for Contentstack and Nextjs",
"version": "2.0.4",
"private": true,
"author": "Contentstack",
"scripts": {
"dev": "next dev",
"build": "next build",
"start": "next start",
"lint": "next lint"
},
"dependencies": {
"@contentstack/live-preview-utils": "^1.2.1",
"@contentstack/utils": "^1.2.0",
"@formio/react": "^5.3.0",
"@textea/json-viewer": "^2.14.1",
"algoliasearch": "^4.22.0",
"contentstack": "^3.16.1",
"formiojs": "^4.17.3",
"html-react-parser": "^3.0.12",
"instantsearch.js": "^4.63.0",
"moment": "^2.29.4",
"next": "^12.3.1",
"next-pwa": "^5.6.0",
"nprogress": "^0.2.0",
"react": "^18.2.0",
"react-dom": "^18.2.0",
"react-instantsearch": "^7.5.0",
"react-instantsearch-core": "^7.5.0",
"react-instantsearch-dom": "^6.40.4",
"react-loading-skeleton": "^3.2.0",
"rxjs": "^7.8.1",
"sass": "^1.69.2",
"swiper": "^10.3.1"
},
"devDependencies": {
"@types/node": "^18.7.18",
"@types/nprogress": "^0.2.0",
"@types/react": "^18.0.20",
"@types/react-dom": "^18.0.6",
"@types/react-instantsearch-dom": "^6.12.5",
"eslint": "^8.23.1",
"eslint-config-next": "^12.3.1",
"typescript": "^4.8.3"
}
}

 

This issue resolved after correcting package-lock.json file.

Reply